package cn.com.infosec.crypto.params;

import cn.com.infosec.crypto.KeyGenerationParameters;
import java.security.SecureRandom;

public class ElGamalKeyGenerationParameters extends KeyGenerationParameters {
   private ElGamalParameters params;

   public ElGamalKeyGenerationParameters(SecureRandom random, ElGamalParameters params) {
      super(random, params.getP().bitLength());
      this.params = params;
   }

   public ElGamalParameters getParameters() {
      return this.params;
   }
}
